'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.normalizeInput = normalizeInput;
exports.runLoader = runLoader;
exports.readFile = readFile;

var _babylon = require('babylon');

var _babelGenerator = require('babel-generator');

var _babelGenerator2 = _interopRequireDefault(_babelGenerator);

var _ = require('.');

var _2 = _interopRequireDefault(_);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getTree(input) {
  return (0, _babylon.parse)(input, {
    sourceType: 'module',
    plugins: _2.default.enabledPlugins
  });
}

function normalizeInput(input) {
  return (0, _babelGenerator2.default)(getTree(input), {
    minified: true
  }, input).code;
}

function runLoader(input) {
  return _2.default.call({
    generateOptions: {
      minified: true,
      quotes: 'single'
    }
  }, input);
}

function readFile(filePath) {
  return _fs2.default.readFileSync(_path2.default.resolve(__dirname, `__tests__/${filePath}.txt`), { encoding: 'utf8' });
}